ReInitializeContainerRequest (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: ReInitializeContainerRequest

Package org.apache.hadoop.yarn.api.protocolrecords

# Class ReInitializeContainerRequest

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.ReInitializeContainerRequest

@Public @Unstable public abstract class ReInitializeContainerRequest extends Object
This encapsulates all the required fields needed for a Container ReInitialization.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReInitializeContainerRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `getAutoCommit()`
  Check if AutoCommit is set for this ReInitialization.
  `abstract ContainerId`
  `getContainerId()`
  Get the `ContainerId` of the container to re-initialize.
  `abstract ContainerLaunchContext`
  `getContainerLaunchContext()`
  Get the `ContainerLaunchContext` to re-initialize the container with.
  `static ReInitializeContainerRequest`
  `newInstance(ContainerId containerId, ContainerLaunchContext containerLaunchContext, boolean autoCommit)`
  Creates a new instance of the ReInitializationContainerRequest.
  `abstract void`
  `setAutoCommit(boolean autoCommit)`
  Set AutoCommit flag for this ReInitialization.
  `abstract void`
  `setContainerId(ContainerId containerId)`
  Set the `ContainerId` of the container to re-initialize.
  `abstract void`
  `setContainerLaunchContext(ContainerLaunchContext containerLaunchContext)`
  Set the `ContainerLaunchContext` to re-initialize the container with.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReInitializeContainerRequest

    public ReInitializeContainerRequest()

- ## Method Details

  - ### newInstance

    @Public @Unstable public static ReInitializeContainerRequest newInstance(ContainerId containerId, ContainerLaunchContext containerLaunchContext, boolean autoCommit)
    Creates a new instance of the ReInitializationContainerRequest.
    Parameters:
      `containerId` - Container Id.
      `containerLaunchContext` - Container Launch Context.
      `autoCommit` - AutoCommit.
    Returns:
      ReInitializationContainerRequest.

  - ### getContainerId

    @Public @Unstable public abstract ContainerId getContainerId()
    Get the `ContainerId` of the container to re-initialize.
    Returns:
      `ContainerId` of the container to re-initialize.

  - ### setContainerId

    @Private @Unstable public abstract void setContainerId(ContainerId containerId)
    Set the `ContainerId` of the container to re-initialize.
    Parameters:
      `containerId` - the containerId of the container.

  - ### getContainerLaunchContext

    @Public @Unstable public abstract ContainerLaunchContext getContainerLaunchContext()
    Get the `ContainerLaunchContext` to re-initialize the container with.
    Returns:
      `ContainerLaunchContext` of to re-initialize the container with.

  - ### setContainerLaunchContext

    @Private @Unstable public abstract void setContainerLaunchContext(ContainerLaunchContext containerLaunchContext)
    Set the `ContainerLaunchContext` to re-initialize the container with.
    Parameters:
      `containerLaunchContext` - the Launch Context.

  - ### getAutoCommit

    @Public @Unstable public abstract boolean getAutoCommit()
    Check if AutoCommit is set for this ReInitialization.
    Returns:
      If AutoCommit is set for this ReInitialization.

  - ### setAutoCommit

    @Private @Unstable public abstract void setAutoCommit(boolean autoCommit)
    Set AutoCommit flag for this ReInitialization.
    Parameters:
      `autoCommit` - Auto Commit.